Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 625801 - [abrt] mc-1:4.7.3-1.fc13: advanced_chown_callback: Process /usr/bin/mc was killed by signal 11 (SIGSEGV)
[abrt] mc-1:4.7.3-1.fc13: advanced_chown_callback: Process /usr/bin/mc was ki...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: mc (Show other bugs)
13
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Jindrich Novy
Fedora Extras Quality Assurance
abrt_hash:338b8f3ddd6e98d8245b8c0d3c4...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-20 09:27 EDT by Mario Guenterberg
Modified: 2013-07-02 19:47 EDT (History)
8 users (show)

See Also:
Fixed In Version: mc-4.7.4-1.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-09-15 03:15:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (37.80 KB, text/plain)
2010-08-20 09:27 EDT, Mario Guenterberg
no flags Details

  None (edit)
Description Mario Guenterberg 2010-08-20 09:27:24 EDT
abrt version: 1.1.13
architecture: x86_64
Attached file: backtrace
cmdline: /usr/bin/mc -P /tmp/mc-guenti/mc.pwd.2866
component: mc
crash_function: advanced_chown_callback
executable: /usr/bin/mc
kernel: 2.6.35.2
package: mc-1:4.7.3-1.fc13
rating: 4
reason: Process /usr/bin/mc was killed by signal 11 (SIGSEGV)
release: Fedora release 13 (Goddard)
time: 1282309887
uid: 500

How to reproduce
-----
1. try to change the x flag of a file
2.
3.
Comment 1 Mario Guenterberg 2010-08-20 09:27:38 EDT
Created an attachment (id=439942)
File: backtrace
Comment 2 Eddie Lania 2010-08-22 04:59:20 EDT
Package: mc-1:4.7.3-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. start mc
2. try to change attribute on a file to "execute" using F9 - File - Advanced chown
3.
Comment 3 Jindrich Novy 2010-08-23 10:17:19 EDT
Eddie, thanks for the additional comment. I have been failing to reproduce it up to now. I see the segfault now.
Comment 4 Dmitriy 2010-08-31 10:02:44 EDT
Package: mc-1:4.7.3-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. попытка изменить права каталога
2.
3.
Comment 5 Dmitriy 2010-08-31 11:56:33 EDT
Package: mc-1:4.7.3-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.    
2.
3.
Comment 6 Nerijus Baliūnas 2010-08-31 12:14:42 EDT
Please don't spam, we already know how to reproduce the bug - see comment #2.
Comment 7 Jindrich Novy 2010-09-01 04:45:47 EDT
It seems it is a typo in achown.c causing this. There is mistakenly dereferenced h->current instead of the h->current->data pointer there.
Comment 8 Fedora Update System 2010-09-02 12:27:16 EDT
mc-4.7.3-2.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/mc-4.7.3-2.fc13
Comment 9 Fedora Update System 2010-09-02 12:27:31 EDT
mc-4.7.3-2.fc12 has been submitted as an update for Fedora 12.
https://admin.fedoraproject.org/updates/mc-4.7.3-2.fc12
Comment 10 Fedora Update System 2010-09-02 12:27:45 EDT
mc-4.7.3-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/mc-4.7.3-2.fc14
Comment 11 Fedora Update System 2010-09-02 16:34:13 EDT
mc-4.7.3-2.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update mc'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/mc-4.7.3-2.fc12
Comment 12 Fedora Update System 2010-09-07 13:33:40 EDT
mc-4.7.4-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/mc-4.7.4-1.fc13
Comment 13 Fedora Update System 2010-09-07 13:34:07 EDT
mc-4.7.4-1.fc12 has been submitted as an update for Fedora 12.
https://admin.fedoraproject.org/updates/mc-4.7.4-1.fc12
Comment 14 Fedora Update System 2010-09-07 13:34:31 EDT
mc-4.7.4-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/mc-4.7.4-1.fc14
Comment 15 Fedora Update System 2010-09-15 03:15:10 EDT
mc-4.7.4-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2010-09-15 18:26:44 EDT
mc-4.7.4-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 17 Fedora Update System 2010-09-15 18:31:55 EDT
mc-4.7.4-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.